<script setup lang="ts">
const props = defineProps({
  title: {
    type: String,
    default: '',
  },
  clickClose: {
    type: Function,
    default: null,
  },
})

function clickClosePopup() {
  props.clickClose()
}
</script>
<template>
  <q-toolbar>
    <q-toolbar-title class="text-subtitle2 text-bold">{{
      props.title
    }}</q-toolbar-title>
    <q-btn
      icon="close"
      unelevated
      round
      dense
      @click="clickClosePopup"
      style="color: #ff8080; background-color: #ffdede"
    />
  </q-toolbar>
  <q-separator />
</template>

<style scoped></style>
